Bug 1857314 - Filesystem utilisation on overview dashboard showing wrong data when OCS is deployed [NEEDINFO]
Summary: Filesystem utilisation on overview dashboard showing wrong data when OCS is d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.z
Assignee: Ankush Behl
QA Contact: akarsha
URL:
Whiteboard:
Depends On: 1845377
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-15 16:30 UTC by OpenShift BugZilla Robot
Modified: 2020-08-10 13:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 13:50:20 UTC
Target Upstream Version:
hnallurv: needinfo? (anbehl)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5999 None closed [release-4.5] Bug 1857314: Remove updation of Overview filesystem query. 2020-08-03 03:53:20 UTC
Red Hat Product Errata RHBA-2020:3188 None None None 2020-08-10 13:50:39 UTC

Comment 6 akarsha 2020-08-04 08:05:37 UTC
Tested on AWS IPI environment(internal mode)
- 3 master
- 3 worker(ocs)

Version
OCP: 4.5.0-0.nightly-2020-08-03-123303
OCS: ocs-operator.v4.5.0-508.ci

Verfication steps:

1. Install OCS and wait for cluster to be in Ready state.
2. Checked filesystem chart on Overview dashboard. The used metric is (sum(node_filesystem_size_bytes) - sum(node_filesystem_free_bytes)). It is not ceph_cluster_total_used_bytes.
3. Run some IOs and checked filesystem chart on Overview dashboard.

Snapshots:
- Filesystem chart just deployed OCS
http://rhsqe-repo.lab.eng.blr.redhat.com/OCS/ocs-qe-bugs/BZ-1857314/snapshot/filesystem-metrics.png

- Filesystem chart after some IOs
http://rhsqe-repo.lab.eng.blr.redhat.com/OCS/ocs-qe-bugs/BZ-1857314/snapshot/filesytem-metrics-after-IOs.png

Logs:
http://rhsqe-repo.lab.eng.blr.redhat.com/OCS/ocs-qe-bugs/BZ-1857314/


Based on observation moving to VERIFIED.

Comment 8 errata-xmlrpc 2020-08-10 13:50:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.5 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3188


Note You need to log in before you can comment on or make changes to this bug.